bundles
Get bundle approvals
Get bundle approvals
GET
/
api
/
governance
/
v1
/
bundles
/
{id}
/
approvals
Get bundle approvals
curl --request GET \
--url https://mycluster.domino.tech/api/governance/v1/bundles/{id}/approvalsimport requests
url = "https://mycluster.domino.tech/api/governance/v1/bundles/{id}/approvals"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/governance/v1/bundles/{id}/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"approvers": [
{
"editable": true,
"id": "<string>",
"name": "<string>",
"showByDefault": true,
"fromOrganizationUserId": "<string>",
"isOrganizationUser": true
}
],
"bundleId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"revalidation": {
"createdAt": "<string>",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"firstApprovedAt": "<string>",
"isOverride": true,
"nextDeadlineAt": "<string>",
"revalidationConfig": {
"openWindowDaysBefore": 2,
"recurring": {
"every": 2,
"unit": "month",
"startDate": "<string>"
},
"type": "absolute"
},
"revalidationPeriodStartsAt": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
}
},
"stageApprovalId": "<string>",
"status": "PendingSubmission",
"taskId": "<string>",
"updatedAt": "<string>",
"updatedBy": {}
}
]{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}Path Parameters
Bundle ID
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
PendingSubmission, PendingReview, Approved, ConditionallyApproved, PendingExpiration, Expired Last modified on August 18, 2026
Related topics
Get bundle by IDGet bundle gatesPublish an approval event and get the computed approvalSnapshot a bundle into an evidence-restricted copy and revoke the source's gated approvalsWas this page helpful?
⌘I
Get bundle approvals
